Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class PooledConnection

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.sql.PooledConnection

public class PooledConnection
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`PooledConnection(java.sql.Connection value)`

Method Summary
`void` | `close()` Close the real JDBC Connection
`java.sql.Connection` | `getConnection()` Returns a reference to the JDBC Connection
`boolean` | `inUse()` Returns the current status of the PooledConnection.
`void` | `setInUse(boolean value)` Set the status of the PooledConnection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledConnection

    public PooledConnection(java.sql.Connection value)

  Parameters:
    `value` -

Method Detail

### getConnection

    public java.sql.Connection getConnection()

  Returns a reference to the JDBC Connection

  Returns:
    Connection

### setInUse

    public void setInUse(boolean value)

  Set the status of the PooledConnection.

  Parameters:
    `value` -
  Returns:

### inUse

    public boolean inUse()

  Returns the current status of the PooledConnection.

  Returns:

### close

    public void close()

  Close the real JDBC Connection

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference